RISK_FREE_RATE = 0.05
PERIOD = "10Y"
MOVING_AVERAGE_PERIOD = 20
BENCHMARK_INDEX = "^GSPC"
BASE_OPTIONS_URL = "https://query2.finance.yahoo.com/v7/finance/options/"
HEADERS = {'User-Agent': 'Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/58.0.3029.110 Safari/537.36'}

MACRO_INDICATORS = {
    'GDP': 'gdp-gross-domestic-product',
    'GDP_GROWTH': 'gdp-growth-rate',
    'GDP_PER_CAPITA': 'gdp-per-capita',
    'GNI': 'gni-gross-national-income',
    'GNI_PER_CAPITA': 'gni-per-capita',
    'DEBT_TO_GNI': 'debt-to-gdp-ratio',
    'GNP': 'gnp-gross-national-product',
    'INFLATION': 'inflation-rate-cpi',
    'MANUFACTURING': 'manufacturing-output',
    'POPULATION': 'population',
    'HEALTHCARE_SPENDING': 'healthcare-spending',
    'POVERTY_RATE': 'poverty-rate',
    'UNEMPLOYMENT': 'unemployment-rate',
    'CRIME_RATE': 'crime-rate-statistics',
    'MILITARY_SPENDING': 'military-spending-defense-budget',
    'MILITARY_SIZE': 'military-army-size',
    'ARABLE_LAND': 'arable-land',
}

COUNTRY_CODES = {
  'USA': 'united-states',
  'CHN': 'china',
  'JPN': 'japan',
  'DEU': 'germany',
  'IND': 'india',
  'GBR': 'united-kingdom',
  'FRA': 'france',
  'RUS': 'russia',
  'CAN': 'canada',
  'ITA': 'italy',
  'BRA': 'brazil',
  'AUS': 'australia',
  'KOR': 'south-korea',
  'MEX': 'mexico',
  'ESP': 'spain',
  'IDN': 'indonesia',
  'SAU': 'saudi-arabia',
  'NLD': 'netherlands',
  'TUR': 'turkey',
  'CHE': 'switzerland',
  'POL': 'poland',
  'ARG': 'argentina',
  'SWE': 'sweden',
  'NOR': 'norway',
  'BEL': 'belgium',
  'IRL': 'ireland',
  'ISR': 'israel',
  'ARE': 'uae',
  'THA': 'thailand',
  'NGA': 'nigeria',
  'EGY': 'egypt',
  'AUT': 'austria',
  'SGP': 'singapore',
  'BGD': 'bangladesh',
  'VNM': 'vietnam',
  'MYS': 'malaysia',
  'ZAF': 'south-africa',
  'PHL': 'philippines',
  'DNK': 'denmark',
  'IRN': 'iran',
  'PAK': 'pakistan',
  'HKG': 'hong-kong',
  'COL': 'colombia',
  'ROU': 'romania',
  'CHL': 'chile',
  'CZE': 'czech-republic',
  'FIN': 'finland',
  'IRQ': 'iraq',
  'PRT': 'portugal',
  'NZL': 'new-zealand',
  'PER': 'peru',
  'QAT': 'qatar',
  'KAZ': 'kazakhstan',
  'GRC': 'greece',
  'DZA': 'algeria',
  'KWT': 'kuwait',
  'HUN': 'hungary',
  'UKR': 'ukraine',
  'MAR': 'morocco',
  'ETH': 'ethiopia',
  'SVK': 'slovak-republic',
  'ECU': 'ecuador',
  'OMN': 'oman',
  'DOM': 'dominican-republic',
  'PRI': 'puerto-rico',
  'KEN': 'kenya',
  'AGO': 'angola',
  'GTM': 'guatemala',
  'BGR': 'bulgaria',
  'LUX': 'luxembourg',
  'UZB': 'uzbekistan',
  'AZE': 'azerbaijan',
  'PAN': 'panama',
  'TZA': 'tanzania',
  'LKA': 'sri-lanka',
  'GHA': 'ghana',
  'BLR': 'belarus',
  'URY': 'uruguay',
  'HRV': 'croatia',
  'LTU': 'lithuania',
  'CRI': 'costa-rica',
  'SRB': 'serbia',
  'SVN': 'slovenia',
  'MMR': 'myanmar',
  'COD': 'democratic-republic-of-congo',
  'SDN': 'sudan',
  'JOR': 'jordan',
  'TUN': 'tunisia',
  'LBY': 'libya',
  'UGA': 'uganda',
  'BHR': 'bahrain',
  'CMR': 'cameroon',
  'BOL': 'bolivia',
  'PRY': 'paraguay',
  'LVA': 'latvia',
  'NPL': 'nepal',
  'EST': 'estonia',
  'SLV': 'el-salvador',
  'HND': 'honduras',
  'PNG': 'papua-new-guinea',
  'KHM': 'cambodia',
  'ZMB': 'zambia',
  'CYP': 'cyprus',
  'TTO': 'trinidad-and-tobago',
  'ISL': 'iceland',
  'SEN': 'senegal',
  'GEO': 'georgia',
  'BIH': 'bosnia',
  'MAC': 'macao',
  'GIN': 'guinea',
  'GAB': 'gabon',
  'ZWE': 'zimbabwe',
  'BWA': 'botswana',
  'HTI': 'haiti',
  'ARM': 'armenia',
  'PSE': 'west-bank-and-gaza',
  'BFA': 'burkina-faso',
  'ALB': 'albania',
  'MLI': 'mali',
  'MOZ': 'mozambique',
  'MLT': 'malta',
  'BEN': 'benin',
  'JAM': 'jamaica',
  'MNG': 'mongolia',
  'BRN': 'brunei',
  'LAO': 'lao-pdr',
  'NIC': 'nicaragua',
  'GUY': 'guyana',
  'MDG': 'madagascar',
  'COG': 'republic-of-congo',
  'MDA': 'moldova',
  'NER': 'niger',
  'MKD': 'north-macedonia',
  'RWA': 'rwanda',
  'MWI': 'malawi',
  'MUS': 'mauritius',
  'BHS': 'bahamas',
  'TCD': 'chad',
  'NAM': 'namibia',
  'GNQ': 'equatorial-guinea',
  'KGZ': 'kyrgyz-republic',
  'TJK': 'tajikistan',
  'MRT': 'mauritania',
  'XKX': 'kosovo',
  'TGO': 'togo',
  'SOM': 'somalia',
  'BMU': 'bermuda',
  'MDV': 'maldives',
  'MNE': 'montenegro',
  'BRB': 'barbados',
  'FJI': 'fiji',
  'SWZ': 'eswatini',
  'LBR': 'liberia',
  'SLE': 'sierra-leone',
  'SUR': 'suriname',
  'DJI': 'djibouti',
  'AND': 'andorra',
  'TLS': 'timor-leste',
  'BDI': 'burundi',
  'BLZ': 'belize',
  'LSO': 'lesotho',
  'CAF': 'central-african-republic',
  'CPV': 'cabo-verde',
  'GMB': 'gambia',
  'LCA': 'st-lucia',
  'ATG': 'antigua-and-barbuda',
  'GNB': 'guinea-bissau',
  'SLB': 'solomon-islands',
  'SYC': 'seychelles',
  'SXM': 'sint-maarten-dutch-part',
  'GRD': 'grenada',
  'COM': 'comoros',
  'TCA': 'turks-and-caicos-islands',
  'VUT': 'vanuatu',
  'KNA': 'st-kitts-and-nevis',
  'VCT': 'st-vincent-and-the-grenadines',
  'WSM': 'samoa',
  'DMA': 'dominica',
  'STP': 'sao-tome-and-principe',
  'FSM': 'micronesia',
  'MHL': 'marshall-islands',
  'KIR': 'kiribati',
  'NRU': 'nauru',
  'TUV': 'tuvalu',
  'PYF': 'french-polynesia',
  'TON': 'tonga',
  'AFG': 'afghanistan',
  'CUB': 'cuba',
  'IMN': 'isle-of-man',
  'CHI': 'channel-islands',
  'CUW': 'curacao',
  'GRL': 'greenland',
  'SMR': 'san-marino',
  'MCO': 'monaco',
  'CYM': 'cayman-islands',
  'PLW': 'palau',
  'SYR': 'syrian-arab-republic',
  'MNP': 'northern-mariana-islands',
  'GUM': 'guam',
  'LIE': 'liechtenstein',
  'VIR': 'virgin-islands-us',
  'BTN': 'bhutan',
  'ASM': 'american-samoa',
  'YEM': 'yemen',
  'TKM': 'turkmenistan',
  'FRO': 'faroe-islands',
  'ABW': 'aruba',
  'LBN': 'lebanon',
  'NCL': 'new-caledonia'
}
